package com.ssj.service.kmt.exercisesys.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2020/3/23
 */
public class UserDto implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 头像
     */
    private String imgUrl;
    /**
     * 姓名
     */
    private String name;
    /**
     * 性别（1男，2女）
     */
    private Integer sex;
    /**
     * 注册日期
     */
    private String createDate;
    /**
     * 科目
     */
    private String subject;
    /**
     * 学校
     */
    private String school;
    /**
     * 专业
     */
    private String major;
    /**
     * 手机号码
     */
    private String phone;
    /**
     * 老师类型(1练习册加工，2练习册审核，3练习册解析，4练习册解审，5KMT加工，6KMT审核)(多个类型以这种方式：1,2,3,4,5,6)
     */
    private String type;
    /**
     * 身份证号
     */
    private String idNumber;
    /**
     * 身份证正面
     */
    private String idFace;
    /**
     * 身份证反面
     */
    private String idCon;
    /**
     * 学生/毕业证
     */
    private String certification;
    /**
     * 审核状态（0：未审核，1：审核通过，2：审核拒绝，3：审核中）
     */
    private int approveStatus;
    /**
     * 是否是第一次审核（0：否，1：是）
     */
    private int isFirst;

    /**
     * 是否封号
     */
    private int isBanned;
    /**
     * 拒绝原因
     */
    private String reason;

    /**
     * 银行名（我的）
     */
    private String bankName;
    /**
     * 银行图标（我的）
     */
    private String bankIcon;
    /**
     * 持卡人姓名
     */
    private String cardholder;
    /**
     * 银行卡号
     */
    private String cardNumber;
    /**
     * 开户支行
     */
    private String bankBranch;
    /**
     * 银行卡正面
     */
    private String bankcardFace;
    /**
     * 银行卡反面
     */
    private String bankcardCon;
    /**
     * 角色（17录题老师，18录题管理员）
     */
    private int role;
    /**
     * 所有可选银行列表
     */
    private List<Bank> bankList;

    public class Bank implements Serializable {
        private static final long serialVersionUID = 1L;
        /**
         * 银行名（可选）
         */
        private String bankName;
        /**
         * 银行图标（可选）
         */
        private String bankIcon;

        public String getBankName() {
            return bankName;
        }

        public void setBankName(String bankName) {
            this.bankName = bankName;
        }

        public String getBankIcon() {
            return bankIcon;
        }

        public void setBankIcon(String bankIcon) {
            this.bankIcon = bankIcon;
        }
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getIdNumber() {
        return idNumber;
    }

    public void setIdNumber(String idNumber) {
        this.idNumber = idNumber;
    }

    public String getIdFace() {
        return idFace;
    }

    public void setIdFace(String idFace) {
        this.idFace = idFace;
    }

    public String getIdCon() {
        return idCon;
    }

    public void setIdCon(String idCon) {
        this.idCon = idCon;
    }

    public String getCertification() {
        return certification;
    }

    public void setCertification(String certification) {
        this.certification = certification;
    }

    public int getApproveStatus() {
        return approveStatus;
    }

    public void setApproveStatus(int approveStatus) {
        this.approveStatus = approveStatus;
    }

    public int getIsFirst() {
        return isFirst;
    }

    public void setIsFirst(int isFirst) {
        this.isFirst = isFirst;
    }

    public int getIsBanned() {
        return isBanned;
    }

    public void setIsBanned(int isBanned) {
        this.isBanned = isBanned;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankIcon() {
        return bankIcon;
    }

    public void setBankIcon(String bankIcon) {
        this.bankIcon = bankIcon;
    }

    public String getCardholder() {
        return cardholder;
    }

    public void setCardholder(String cardholder) {
        this.cardholder = cardholder;
    }

    public String getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(String cardNumber) {
        this.cardNumber = cardNumber;
    }

    public String getBankBranch() {
        return bankBranch;
    }

    public void setBankBranch(String bankBranch) {
        this.bankBranch = bankBranch;
    }

    public List<Bank> getBankList() {
        return bankList;
    }

    public void setBankList(List<Bank> bankList) {
        this.bankList = bankList;
    }

    public int getRole() {
        return role;
    }

    public void setRole(int role) {
        this.role = role;
    }

    public String getBankcardFace() {
        return bankcardFace;
    }

    public void setBankcardFace(String bankcardFace) {
        this.bankcardFace = bankcardFace;
    }

    public String getBankcardCon() {
        return bankcardCon;
    }

    public void setBankcardCon(String bankcardCon) {
        this.bankcardCon = bankcardCon;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }
}
